Skip to content
Get started

Create Product Free Fields

POST/api/v2/public/products/freefields

Creates or updates the free key/value fields on a product. Keys not included keep their current value.

Body ParametersJSONExpand Collapse
body: optional array of object { country_code, free_fields, product_number, entity_type }
country_code: string
minLength1
free_fields: array of object { key, sort_order, value }
key: optional string
sort_order: optional number
formatint32
value: optional string
product_number: string
minLength1
entity_type: optional string
ReturnsExpand Collapse
success: boolean

Indicates whether the operation completed successfully.

data: optional string

Optional data payload returned by the operation.

message: optional string

Human-readable message describing the result.

Create Product Free Fields

curl https://api.colleqtive.net/api/v2/public/products/freefields \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "success": true,
  "data": "data",
  "message": "message"
}
{
  "code": 401,
  "status": "error",
  "message": "Authentication failed.",
  "error": "unauthorized",
  "error_description": "Authentication failed."
}
{
  "code": 500,
  "status": "fail",
  "message": "The request could not be processed.",
  "error": "internal_error",
  "error_description": "The request could not be processed."
}
Returns Examples
{
  "success": true,
  "data": "data",
  "message": "message"
}
{
  "code": 401,
  "status": "error",
  "message": "Authentication failed.",
  "error": "unauthorized",
  "error_description": "Authentication failed."
}
{
  "code": 500,
  "status": "fail",
  "message": "The request could not be processed.",
  "error": "internal_error",
  "error_description": "The request could not be processed."
}